"""
Description of the Caesar Cipher for a single Character
An anonymous client wants a program which will create a custom Caesar Shift Code. <br>
But firstly, you must encode a single letter of the alphabet. <br>
Ask the user for a letter of the aplhabet. <br>
The program should ask the user for the key (the number of letter shifts). <br>
Then output the coded letter. <br>

Remember:
Caesar Shift 1 'a' -> 'b'
Caesar Shift 2 'a' -> 'c'
and so on.
The wraparound applies so that for Caesar Shift 2 'z' -> 'b'
The program must handle normal sentences, so capital (uppercase) letters must be encoded.

It is assumed students have studied basic input/output, conditionals, and utf-8 (or ascii).
The UTF-8 values for the alphabet are easily sourced on the web. Or just use ord() and chr().
As students learn more concepts, they can build a more sophisticated program.
"""


#main program
#There are 3 key variables : userLettter, userKey, cipherValue
#set a default in case the user enters dodgy data
userLetter = " "
userKey = 0
cipherValue = ord('?')

#ask for a single character
userLetter = input("Enter your letter : ")

#only work on the user input if it is a letter
if userLetter.isalpha() :

    userKey = int(input("What key do you want to use? (1-25) : "))
    #only do a cipher if the key is between 1 and 25, inclusive             
    if (userKey > 0 and userKey < 26) :
        utf8Value = ord(userLetter)
        cipherValue = utf8Value + userKey

        #lower case letter first  .. is there a wraparound needed?
        if userLetter.islower() :
            if cipherValue > ord('z') :
                cipherValue = cipherValue - 26
        else:
        #upper case letter .... check for wraparound
            if cipherValue > ord('Z') :
                cipherValue = cipherValue - 26

print("\nYour letter", userLetter)
print("Your key", userKey)
print("Your Caesar code", chr(cipherValue))
        



       

